<template>
  <div id="phonenumber-form">
      <input
        type="text"
        :class="{ 'has-error': submitting && invalidPhone }"
        v-model="group.phone"
        @focus="clearStatus"
      >
      <div v-if="phoneNumbers.length > 0">
        <div v-for="(phoneNumber, index) in phoneNumbers"
        :key="index" >
        <input
        type="text"
        :class="{ 'has-error': submitting && invalidPhone }"
        v-model="group.phone"
        @focus="clearStatus"
      >
      <button type="button" @click="removePhoneNumber(index)">Remove</button>
        </div>
      </div>
      <p
        v-if="error && submitting"
        class="error-message"
      >❗Please fill out all required fields</p>
      <p
        v-if="success"
        class="success-message"
      >✅ Phone successfully added</p>
      <button type="button" @click="addNewPhoneNumber">  +  Phone number</button>

  </div>
</template>

<script>
export default {
  name: 'PhoneNumber',
  props: {
    group: Object,
  },
  data() {
    return {
      error: false,
      submitting: false,
      success: false,
      phonenumber: {
        number: '',
        
      },
      phoneNumbers: [],
    }
  },
  computed: {

    invalidPhonenumber() {
      return this.phonenumber.number === ''
    },
  },
  methods: {
    addNewPhoneNumber(){
      this.phoneNumbers.push(this.phonenumber);
    },
    removePhoneNumber(index){
      this.$delete(this.phoneNumbers, index);
    },
    handleSubmit() {
      this.clearStatus()
      this.submitting = true

      if (this.invalidPhonenumber) {
        this.error = true
        return
      }

      this.$emit('add:number', this.number)
      this.$refs.first.focus()
      this.group = {
        number: '',
      }
      this.success = true
      this.error = false
      this.submitting = false
    },

    clearStatus() {
      this.success = false
      this.error = false
    }
  }}
</script>

<style scoped>
form {
  margin-bottom: 2rem;
}

[class*="-message"] {
  font-weight: 500;
}

.error-message {
  color: #d33c40;
}

.success-message {
  color: #32a95d;
}
</style>
